=== debian/control ===
--- 
+++ 
@@ -1,27 +1,27 @@
 Source: bluez-qt
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16~),
-               dbus-x11,
+               dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.102.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
-               qml-module-qttest,
+               qml-module-qttest <!nocheck>,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools,
-               xauth,
-               xvfb,
-Standards-Version: 4.6.0
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/bluez-qt
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluez-qt
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/bluez-qt
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluez-qt.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluez-qt
 Rules-Requires-Root: no
 
 Package: libkf5bluezqt-data
@@ -74,7 +74,7 @@
 
 Package: qml-module-org-kde-bluezqt
 Architecture: linux-any
-Multi-arch: same
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: QML wrapper for bluez
  bluez-qt is a Qt-style library for accessing the bluez Bluetooth stack.
