## bluez-qt 5.115.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -175,7 +175,7 @@
 # Install files
 install(TARGETS KF5BluezQt
         EXPORT KF5BluezQtTargets
-        ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+        ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
 install(FILES
     ${BluezQt_CamelCase_HEADERS}
