=== debian/changelog ===
bluez-qt (5.116.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Remove an obsolete maintscript entry.
  * CI: update/simplify configuration.
  * Modernize building more:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
  * Replace the dbus-x11 build dependency with dbus-daemon, as the latter is
    enough for dbus-run-session. (Closes: #1117056)
  * Remove lintian override for non-/usr udev files; no more needed now.

 -- Pino Toscano <pino@debian.org>  Wed, 19 Nov 2025 10:51:05 +0100

bluez-qt (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:30:06 +0200
