=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
+               dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
+               dbus-daemon <!nocheck>,
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                libqt5sql5-sqlite,
-               pkg-kde-tools (>> 0.15.15),
                pkgconf,
                qml-module-qttest <!nocheck>,
                qtbase5-dev (>= 5.15.2~),
@@ -21,11 +21,10 @@
                systemd-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/bluez-qt
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/bluez-qt.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/bluez-qt
-Rules-Requires-Root: no
 
 Package: libkf5bluezqt-data
 Architecture: all
