=== debian/rules ===
#!/usr/bin/make -f
export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DUDEV_RULES_INSTALL_DIR=/${deb_udevdir}/rules.d

override_dh_auto_test:
	xvfb-run -a dbus-run-session dh_auto_test
